package shop.alien.store.service;

import com.baomidou.mybatisplus.extension.service.IService;
import shop.alien.entity.result.R;
import shop.alien.entity.store.ExpertImg;
import shop.alien.entity.store.LifeUserExpert;
import shop.alien.entity.store.vo.LifeUserExpertVo;

import java.util.List;
import java.util.Map;

public interface StoreUserExpertService extends IService<LifeUserExpert> {

    List<LifeUserExpertVo> getRankList();

    List<Map<String, LifeUserExpertVo>> getExpertDetails(Integer expertId);

    List<LifeUserExpertVo> ifExpert(String id);


    Map<String, String> getapplyExpert(ExpertImg expertImgs);
}
